org.eclipse.jgit.errors

## Class MissingBundlePrerequisiteException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - org.eclipse.jgit.errors.TransportException
        - - org.eclipse.jgit.errors.MissingBundlePrerequisiteException

All Implemented Interfaces:
  Serializable

    public class MissingBundlePrerequisiteException
    extends TransportException

Indicates a base/common object was required, but is not found.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`MissingBundlePrerequisiteException(URIish uri, Map<ObjectId,String> missingCommits)` Constructs a MissingBundlePrerequisiteException for a set of objects.

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### MissingBundlePrerequisiteException

    public MissingBundlePrerequisiteException(URIish uri,
                                      Map<ObjectId,String> missingCommits)

Constructs a MissingBundlePrerequisiteException for a set of objects.

Parameters:
  `uri` - URI used for transport
  `missingCommits` - the Map of the base/common object(s) we don't have. Keys are ids of the missing objects and values are short descriptions.